Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class XWPFRelation

    java.lang.Object
      org.apache.poi.POIXMLRelation
          org.apache.poi.xwpf.usermodel.XWPFRelation

    public final class XWPFRelation

extends POIXMLRelation

Author:
  Yegor Kozlov

Field Summary
`static XWPFRelation` | `COMMENT`
`static XWPFRelation` | `DOCUMENT`
`static XWPFRelation` | `ENDNOTE`
`static XWPFRelation` | `FONT_TABLE`
`static XWPFRelation` | `FOOTER`
`static XWPFRelation` | `FOOTNOTE`
`static XWPFRelation` | `GLOSSARY_DOCUMENT`
`static XWPFRelation` | `HEADER`
`static XWPFRelation` | `HYPERLINK`
`static XWPFRelation` | `IMAGE_BMP`
`static XWPFRelation` | `IMAGE_DIB`
`static XWPFRelation` | `IMAGE_EMF` Supported image formats
`static XWPFRelation` | `IMAGE_EPS`
`static XWPFRelation` | `IMAGE_GIF`
`static XWPFRelation` | `IMAGE_JPEG`
`static XWPFRelation` | `IMAGE_PICT`
`static XWPFRelation` | `IMAGE_PNG`
`static XWPFRelation` | `IMAGE_TIFF`
`static XWPFRelation` | `IMAGE_WMF`
`static XWPFRelation` | `IMAGE_WPG`
`static XWPFRelation` | `IMAGES`
`static XWPFRelation` | `MACRO_DOCUMENT`
`static XWPFRelation` | `MACRO_TEMPLATE_DOCUMENT`
`static XWPFRelation` | `NUMBERING`
`static XWPFRelation` | `SETTINGS`
`static XWPFRelation` | `STYLES`
`static XWPFRelation` | `TEMPLATE`
`static XWPFRelation` | `WEB_SETTINGS`

Constructor Summary
`XWPFRelation(java.lang.String type, java.lang.String rel, java.lang.String defaultName, java.lang.Class cls)`

Method Summary
`static XWPFRelation` | `getInstance(java.lang.String rel)` Get POIXMLRelation by relation type

Methods inherited from class org.apache.poi.POIXMLRelation
`getContentType, getDefaultFileName, getFileName, getRelation, getRelationClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCUMENT

    public static final XWPFRelation DOCUMENT

### TEMPLATE

    public static final XWPFRelation TEMPLATE

### MACRO_DOCUMENT

    public static final XWPFRelation MACRO_DOCUMENT

### MACRO_TEMPLATE_DOCUMENT

    public static final XWPFRelation MACRO_TEMPLATE_DOCUMENT

### GLOSSARY_DOCUMENT

    public static final XWPFRelation GLOSSARY_DOCUMENT

### NUMBERING

    public static final XWPFRelation NUMBERING

### FONT_TABLE

    public static final XWPFRelation FONT_TABLE

### SETTINGS

    public static final XWPFRelation SETTINGS

### STYLES

    public static final XWPFRelation STYLES

### WEB_SETTINGS

    public static final XWPFRelation WEB_SETTINGS

### HEADER

    public static final XWPFRelation HEADER

### FOOTER

    public static final XWPFRelation FOOTER

### HYPERLINK

    public static final XWPFRelation HYPERLINK

### COMMENT

    public static final XWPFRelation COMMENT

### FOOTNOTE

    public static final XWPFRelation FOOTNOTE

### ENDNOTE

    public static final XWPFRelation ENDNOTE

### IMAGE_EMF

    public static final XWPFRelation IMAGE_EMF

  Supported image formats

### IMAGE_WMF

    public static final XWPFRelation IMAGE_WMF

### IMAGE_PICT

    public static final XWPFRelation IMAGE_PICT

### IMAGE_JPEG

    public static final XWPFRelation IMAGE_JPEG

### IMAGE_PNG

    public static final XWPFRelation IMAGE_PNG

### IMAGE_DIB

    public static final XWPFRelation IMAGE_DIB

### IMAGE_GIF

    public static final XWPFRelation IMAGE_GIF

### IMAGE_TIFF

    public static final XWPFRelation IMAGE_TIFF

### IMAGE_EPS

    public static final XWPFRelation IMAGE_EPS

### IMAGE_BMP

    public static final XWPFRelation IMAGE_BMP

### IMAGE_WPG

    public static final XWPFRelation IMAGE_WPG

### IMAGES

    public static final XWPFRelation IMAGES

Constructor Detail

### XWPFRelation

    public XWPFRelation(java.lang.String type,
                        java.lang.String rel,
                        java.lang.String defaultName,
                        java.lang.Class cls)

Method Detail

### getInstance

    public static XWPFRelation getInstance(java.lang.String rel)

  Get POIXMLRelation by relation type

  Parameters:
    `rel` - relation type, for example, `http://schemas.openxmlformats.org/officeDocument/2006/relationships/image`
  Returns:
    registered POIXMLRelation or null if not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD